var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var FileUploadLabel = function FileUploadLabel(_ref) {
  var _classNames;

  var children = _ref.children,
      className = _ref.className,
      Element = _ref.element,
      props = _objectWithoutProperties(_ref, ['children', 'className', 'element']);

  return React.createElement(
    Element,
    _extends({
      className: classNames('file-label', (_classNames = {}, _classNames[className] = Boolean(className), _classNames))
    }, props),
    children
  );
};

FileUploadLabel.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  element: PropTypes.oneOfType([PropTypes.string, PropTypes.element])
} : {};

FileUploadLabel.defaultProps = {
  className: null,
  element: 'label'
};

export default FileUploadLabel;