'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var FileUploadInput = function FileUploadInput(_ref) {
  var _classNames;

  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ['className']);

  return _react2.default.createElement('input', _extends({
    className: (0, _classnames2.default)('file-input', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)),
    type: 'file'
  }, props));
};

FileUploadInput.propTypes = process.env.NODE_ENV !== "production" ? {
  className: _propTypes2.default.string
} : {};

FileUploadInput.defaultProps = {
  className: null
};

exports.default = FileUploadInput;
module.exports = exports['default'];