var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var FileUploadInput = function FileUploadInput(_ref) {
  var _classNames;

  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ['className']);

  return React.createElement('input', _extends({
    className: classNames('file-input', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)),
    type: 'file'
  }, props));
};

FileUploadInput.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string
} : {};

FileUploadInput.defaultProps = {
  className: null
};

export default FileUploadInput;