function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

var NavbarDivider = function NavbarDivider(_ref) {
  var _classNames;

  var className = _ref.className,
      props = _objectWithoutProperties(_ref, ['className']);

  return React.createElement('div', { className: classNames('navbar-divider', (_classNames = {}, _classNames[className] = Boolean(className), _classNames)) });
};

NavbarDivider.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string
} : {};

NavbarDivider.defaultProps = {
  className: null
};

export default NavbarDivider;